## org.eclipse.datatools.modelbase.sql.query
Interface QuerySelectStatement

All Superinterfaces:
  QueryStatement, SQLDataStatement, SQLObject, SQLQueryObject, SQLStatement

All Known Implementing Classes:
  QuerySelectStatementImpl

public interface QuerySelectStatement
extends QueryStatement

A representation of the model object 'SQL Select Statement'.

The following features are supported:

- `Query Expr`
- `Order By Clause`

See Also:
  `SQLQueryModelPackage.getQuerySelectStatement()`

Method Summary
`EList` `getOrderByClause()` Returns the value of the 'Order By Clause' containment reference list.
`QueryExpressionRoot` `getQueryExpr()` Returns the value of the 'Query Expr' containment reference.
`void` `setQueryExpr(QueryExpressionRoot value)` Sets the value of the '`Query Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Method Detail

### getQueryExpr

    public QueryExpressionRoot getQueryExpr()

  Returns the value of the 'Query Expr' containment reference. It is bidirectional and its opposite is '`Select Statement`'.

  If the meaning of the 'Query Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `setQueryExpr(QueryExpressionRoot)`, `SQLQueryModelPackage.getQuerySelectStatement_QueryExpr()`, `QueryExpressionRoot.getSelectStatement()`

### setQueryExpr

    public void setQueryExpr(QueryExpressionRoot value)

  Sets the value of the '`Query Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expr' containment reference.
  See Also:
    `getQueryExpr()`

### getOrderByClause

    public EList getOrderByClause()

  Returns the value of the 'Order By Clause' containment reference list. The list contents are of type `OrderBySpecification`. It is bidirectional and its opposite is '`Select Statement`'.

  If the meaning of the 'Order By Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order By Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelectStatement_OrderByClause()`, `OrderBySpecification.getSelectStatement()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.